<!DOCTYPE html>
<html lang="en">
<head>
<style type="text/css">

.selected
{
  background-color: Aquamarine;
}

</style>

<style media="screen">
.rightJustified {
  text-align: right;
}
/*
Force table width to 100%
*/
table.table-fixedheader {
  width: 100%;
}
/*
Set table elements to block mode.  (Normally they are inline).
This allows a responsive table, such as one where columns can be stacked
if the display is narrow.
*/
table.table-fixedheader, table.table-fixedheader>thead, table.table-fixedheader>tbody, table.table-fixedheader>tfoot, table.table-fixedheader>thead>tr, table.table-fixedheader>tbody>tr, table.table-fixedheader>tfoot>tr, table.table-fixedheader>thead>tr>th, table.table-fixedheader>tbody>tr>td, table.table-fixedheader>tfoot>tr>td {
  display: block;
}
table.table-fixedheader>thead>tr:after, table.table-fixedheader>tbody>tr:after, table.table-fixedheader>tfoot>tr:after  {
  content:' ';
  display: block;
  visibility: hidden;
  clear: both;
}
/*
When scrolling the table, actually it is only the tbody portion of the
table that scrolls (not the entire table: we want the thead to remain
fixed).  We must specify an explicit height for the tbody.  We include
100px as a default, but it can be overridden elsewhere.

Also, we force the scrollbar to always be displayed so that the usable
width for the table contents doesn't change (such as becoming narrower
when a scrollbar is visible and wider when it is not).
*/
table.table-fixedheader>tbody {
  overflow-y: scroll;
  height: 35%;

}
/*
We really don't want to scroll the thead contents, but we want to force
a scrollbar to be displayed anyway so that the usable width of the thead
will exactly match the tbody.
*/
table.table-fixedheader>tfoot {
  height: 39px;
  width: 100%;
}
table.table-fixedheader>thead{
  overflow-y: scroll;
  height: 26px;
}
/*
For browsers that support it (webkit), we set the background color of
the unneeded scrollbar in the thead to make it invisible.  (Setting
visiblity: hidden defeats the purpose, as this alters the usable width
of the thead.)
*/
table.table-fixedheader>thead::-webkit-scrollbar {
  background-color: inherit;
}


table.table-fixedheader>thead>tr>th:after, table.table-fixedheader>tbody>tr>td:after, table.table-fixedheader>tfoot>tr>td:after {
  content:' ';
  display: table-cell;
  visibility: hidden;
  clear: both;
}

/*
We want to set <th> and <td> elements to float left.
We also must explicitly set the width for each column (both for the <th>
and the <td>).  We set to 20% here a default placeholder, but it can be
overridden elsewhere.
*/

table.table-fixedheader>thead tr th, table.table-fixedheader>tbody tr td, table.table-fixedheader>tfoot tr td {
  float: left;

}
</style>

</head>
<body>
  <!-- Modal -->
  <div class="modal fade" id="myModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
    <div class="modal-dialog modal-lg">
      <div class="modal-content">
        <div class="modal-body">
          <div class="alert failure-alert" id="notran-alert" aria-live="rude" role="alert" hidden>

            No transactions found
            <p id="nt">Voucher couldnot be </p>
          </div>
          <div class="alert alert-danger" id="balance-alert" aria-live="rude" role="alert" hidden>

            Totals misbalance!
          </div>
          <div class="alert alert-danger" id="zero-alert" aria-live="rude" role="alert" hidden>

            Voucher amount cannot be zero!
          </div>
          <div class="alert alert-danger" id="zerorow-alert" aria-live="rude" role="alert" hidden>

            Voucher with zero amount cannot be saved!
          </div>
          <div class="alert alert-danger" id="accs-alert" aria-live="rude" role="alert" hidden>

            An account can be selected only once!
          </div>
          <div class="alert alert-danger" id="vno-alert" aria-live="rude" role="alert" hidden>

            Please enter voucher number!
          </div>
          <div class="alert alert-danger" id="date-alert" aria-live="rude" role="alert" hidden>

            Please enter voucher date in proper format!
          </div>
          <div class="alert alert-warning" id="attachment-alert" aria-live="rude" role="alert" hidden>

            No attachment found!
          </div>
          <div class="alert alert-danger" id="between-date-alert" aria-live="rude" role="alert" hidden>

            Please enter voucher date within the financial year!
          </div>

              <form id="viewvoucher" name="voucher" class="" action="" method="get">
                <div class="form-inline">
                <div class="well well-sm" >
                  <label for="vno">Voucher No:</label><label for="vno" style="color:red;font-size: 120%;">*</label>
                  <input type="text" name="vno" class=" form-control input-sm" id="vno" size="10" value="{{voucher["vouchernumber"]}}">
                  <div class="form-group col-xs-offset-2">
                    {% if vtype=="contra" %}
                      <label class="lblec"><i>Contra</i></label>
                    {% elif vtype == "payment" %}
                      <label class="lblec"><i>Payment</i></label>
                    {% elif vtype == "receipt" %}
                      <label class="lblec"><i>Receipt</i></label>
                    {% elif vtype == "journal" %}
                      <label class="lblec"><i>Journal</i></label>
                    {% elif vtype == "sales" %}
                      <label class="lblec"><i>Sales</i></label>
                    {% elif vtype == "purchase" %}
                      <label class="lblec"><i>Purchase</i></label>
                    {% elif vtype == "creditnote" %}
                      <label class="lblec"><i>Credit Note</i></label>
                    {% elif vtype == "debitnote" %}
                      <label class="lblec"><i>Debit Note</i></label>
                    {% elif vtype == "salesreturn" %}
                      <label class="lblec"><i>Sale Return</i></label>
                    {% elif vtype == "purchasereturn" %}
                      <label class="lblec"><i>Purchase Return</i></label>
                    {% endif %}
                  </div>

                  <div class="pull-right form-group">
                    <label for="vdate"><u>D</u>ate:</label>
                    <input type="text" class="vdate form-control input-sm" id="vdate" value="{{voucher['voucherdate'][:2]}}" size="2" maxlength="2" placeholder="DD"accesskey="d">
                    <input type="text" id="vmonth" class="vdate form-control input-sm" value="{{voucher['voucherdate'][3:5]}}" size="2" maxlength="2" placeholder="MM">
                    <input type="text" id="vyear" class="vdate form-control input-sm" value="{{voucher['voucherdate'][6:]}}" size="4" maxlength="4" placeholder="YYYY">
                  </div>
                </div>
              </div>

                  <div class="table-responsive" id="demovctable">
                    <table class="table table-condensed">
                      <thead>
                        <tr>
                          <th width="55px">
                            Cr/Dr
                          </th>
                          <th width="40%">
                            Account Name
                          </th>
                          <th class="rightJustified">
                            Dr Amount
                          </th>
                          <th class="rightJustified">
                            Cr Amount
                          </th>
                        </tr>
                      </thead>
                      <tbody>
                        {% for dr in voucher["drs"] %}
                        <tr>
                          <td>
                            <select class="form-control input-sm democrdr" >
                              <option value="Dr" selected>Dr</option>
                              <option value="Cr">Cr</option>
                            </select>
                          </td>
                          <td>
                            <select class="form-control input-sm demoaccs">
                              {% for acc in draccounts %}
                              {% if dr==acc['accountname'] %}
                              <option value="{{acc['accountcode']}}" selected>{{acc['accountname']}}</option>
                              {% else %}
                              <option value="{{acc['accountcode']}}">{{acc['accountname']}}</option>
                              {% endif %}
                              {% endfor %}
                            </select>
                          </td>
                          <td>
                            <input class="form-control input-sm demodramt rightJustified" type="text" value="{{voucher["drs"][dr]}}">
                          </td>
                          <td>
                            <input class="form-control input-sm democramt rightJustified" type="text" value="" disabled>
                          </td>
                        </tr>

                        {% endfor %}

                        {% for cr in voucher["crs"] %}
                        <tr>
                          <td>
                            <select class="form-control input-sm democrdr" >
                              <option value="Cr" selected>Cr</option>
                              <option value="Dr">Dr</option>
                            </select>
                          </td>
                          <td>
                            <select class="form-control input-sm demoaccs">
                              {% for acc in craccounts %}
                              {% if cr==acc['accountname'] %}
                              <option value="{{acc['accountcode']}}" selected>{{acc['accountname']}}</option>
                              {% else %}
                              <option value="{{acc['accountcode']}}">{{acc['accountname']}}</option>
                              {% endif %}

                              {% endfor %}
                            </select>
                          </td>
                          <td>
                            <input class="form-control input-sm demodramt rightJustified" type="text" value="" disabled>
                          </td>
                          <td>
                            <input class="form-control input-sm democramt rightJustified" type="text" value="{{voucher["crs"][cr]}}">
                          </td>
                        </tr>

                        {% endfor %}
                      </tbody>
                      <tfoot>
                        <tr>
                          <td colspan="2">
                            <input type="text" class="form-control input-sm demottl" value="Total" disabled>
                          </td>
                          <td>
                            <input class="form-control input-sm demottl rightJustified" type="text" value="0.00" disabled>
                          </td>
                          <td>
                            <input class="form-control input-sm demottl rightJustified" type="text" value="0.00" disabled>
                          </td>
                        </tr>
                      </tfoot>
                    </table>
                  </div>


                  <div class="table-responsive">
                    <table id="vctable" class="table table-condensed table-fixedheader">
                      <thead>
                        <tr>
                          <th class="col-xs-1">
                            Cr/Dr
                          </th>
                          <th class="col-xs-4">
                            Account Name
                          </th>
                          <th class="col-xs-3 rightJustified">
                            Dr Amount
                          </th>
                          <th class="col-xs-3 rightJustified">
                            Cr Amount
                          </th>
                          <th class="col-xs-1">
                            Remove
                          </th>
                        </tr>
                      </thead>
                      <tbody>
                        {% for dr in voucher["drs"] %}
                        <tr>
                          <td class="col-xs-1">
                            <select class="form-control input-sm crdr" >
                              <option value="Dr" selected>Dr</option>
                              <option value="Cr">Cr</option>
                            </select>
                          </td>
                          <td class="col-xs-4">
                            <select class="form-control input-sm accs">
                              {% for acc in draccounts %}
                              {% if dr==acc['accountname'] %}
                              <option value="{{acc['accountcode']}}" selected>{{acc['accountname']}}</option>
                              {% else %}
                              <option value="{{acc['accountcode']}}">{{acc['accountname']}}</option>
                              {% endif %}
                              {% endfor %}
                            </select>
                          </td>
                          <td class="col-xs-3">
                            <input class="form-control input-sm dramt rightJustified" type="text" value="{{voucher["drs"][dr]}}">
                          </td>
                          <td class="col-xs-3">
                            <input class="form-control input-sm cramt rightJustified" type="text" value="" disabled>
                          </td>
                          <td class="col-xs-1">
                            <a href="#" class="del"><span class="glyphicon glyphicon-remove" aria-hidden="true"></span></a>
                          </td>
                        </tr>

                        {% endfor %}

                        {% for cr in voucher["crs"] %}
                        <tr>
                          <td class="col-xs-1">
                            <select class="form-control input-sm crdr" >
                              <option value="Cr" selected>Cr</option>
                              <option value="Dr">Dr</option>
                            </select>
                          </td>
                          <td class="col-xs-4">
                            <select class="form-control input-sm accs">
                              {% for acc in craccounts %}
                              {% if cr==acc['accountname'] %}
                              <option value="{{acc['accountcode']}}" selected>{{acc['accountname']}}</option>
                              {% else %}
                              <option value="{{acc['accountcode']}}">{{acc['accountname']}}</option>
                              {% endif %}

                              {% endfor %}
                            </select>
                          </td>
                          <td class="col-xs-3">
                            <input class="form-control input-sm dramt rightJustified" type="text" value="" disabled>
                          </td>
                          <td class="col-xs-3">
                            <input class="form-control input-sm cramt rightJustified" type="text" value="{{voucher["crs"][cr]}}">
                          </td>
                          <td class="col-xs-1">
                            <a href="#" class="del"><span class="glyphicon glyphicon-remove" aria-hidden="true"></span></a>
                          </td>
                        </tr>

                        {% endfor %}
                      </tbody>
                      <tfoot>
                        <tr>
                          <td class="col-xs-5" colspan="2">
                            <input type="text" class="form-control input-sm ttl" value="Total" disabled>
                          </td>
                          <td class="col-xs-3">
                            <input id="drtotal" class="form-control input-sm ttl rightJustified" type="text" value="0.00" disabled>
                          </td>
                          <td class="col-xs-3">
                            <input id="crtotal" class="form-control input-sm ttl rightJustified" type="text" value="0.00" disabled>
                          </td>
                        </tr>
                      </tfoot>
                    </table>
                  </div>

                <div class="col-xs-1">
                  <label for="project">Pro<u>j</u>ect:</label>
                </div>
                <div class="col-xs-3">
                  <select class="form-control input-sm" id="project" accesskey="j">

                    {% for project in projects %}
                      {% if project['projectcode']==voucher["project"] %}

                        <option value="{{project['projectcode']}}" selected>{{project['projectname']}}</option>
                        <option value="">None</option>
                      {% else %}
                      <option value="{{project['projectcode']}}">{{project['projectname']}}</option>
                      {% endif %}
                    {% endfor %}}

                    {% if voucher["project"]==None %}
                        <option value="" selected>None</option>
                    {% endif %}
                  </select>
                </div>
                <div class="col-xs-1">
                  <label for="narration">N<u>a</u>rration:</label>
                </div>
                <div class="pull-right">
                  <textarea class="form-control" name="narration" id="narr" rows="2" cols="50" accesskey="a">{{voucher["narration"]}}</textarea>
                </div>
                <input type="hidden" id="m_vtype" name="m_vtype" value="{{vtype}}">


            </form>
            <input type="hidden" id="vcode" name="vcode" value="{{voucher['vouchercode']}}"></input>


        </div>
        <br>
        <br>
        <div class="modal-footer">
          <div id="butform" class="form-inline">
            <div class="form-group">
              {% if voucher['status'] %}
              <button type="button" class="btn btn-warning btn-sm" id="lock" value="Unlock" accesskey="k">Unloc<u>k</u></button>
              {% else %}
              <button type="button" class="btn btn-warning btn-sm" id="lock" value="Lock" accesskey="k">Loc<u>k</u></button>
              {% endif %}
              <button type="button" class="btn btn-primary btnfocus btn-sm" id="edit" accesskey="e"><u>E</u>dit</button>
              <button type="button" class="btn btn-primary btnfocus btn-sm" id="clone" accesskey="o">Cl<u>o</u>ne</button>
              <button type="submit" id="save" class="btn btn-success btn-sm" accesskey="s"><u>S</u>ave</button>
              <button type="button" class="btn btn-danger btnfocus btn-sm" id="delete" accesskey="d"><u>D</u>elete</button>
              {% if voucher["attachmentcount"]>0 %}
              <button type="button" class="btn btn-info btnfocus btn-sm" id="viewattach" accesskey="h">View Attac<u>h</u>ment</button>
            </div>
            {% else %}
            <div class="form-group" id="replaceattach">
              <label class="btn btn-info btn-sm" id="attachlbl" for="my-edit-file-selector">
                <input name="img" accesskey="e" class="input-sm" multiple accept="image/*" id="my-edit-file-selector" type="file" style="display:none;" onchange="$('#upload-file-info').html(this.files.length+' selected');">
                <b id="attachtext">Add Attachm<u>e</u>nt</b>
              </label>
              <span class='label label-info' id="upload-file-info"></span>
            </div>
            {% endif %}
            <div class="form-group" id="clonereplaceattach">
              <label class="btn btn-info btn-sm" id="attachlbl" for="my-edit-file-selector">
                <input name="img" accesskey="e" class="input-sm" multiple accept="image/*" id="my-edit-file-selector" type="file" style="display:none;" onchange="$('#upload-file-info').html(this.files.length+' selected');">
                <b id="attachtext">Add Attachm<u>e</u>nt</b>
              </label>
              <span class='label label-info' id="upload-file-info"></span>
            </div>
            <div class="form-group">
              <button type="button" class="btn btn-danger btn-sm" id="vouchercancel" accesskey="k" name="button">Bac<u>k</u></button>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
<script type="text/javascript" src="{{request.static_url('gkwebapp:static/js/jquery.numeric.min.js')}}"></script>
<script type="text/javascript" src="{{request.static_url('gkwebapp:static/js/editclone.js')}}"></script>
</body>
</html>
